curl --request POST \
--url "https://token-vesting.snek.fun/v1/vesting/get-by-redeemer?redeemerVkhs=e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62" \
--header "Content-Type: application/json" \
--data '{}'
{
"vestings": [
{
"id": "abc123:0",
"lockUntil": "1778390035864",
"redeemerVkh": "e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62",
"tokenPolicyId": "fbd4d3c334063ac19566f6ba39b6ec707ea91fa81d0c09201575c10b",
"tokenAssetName": "44415645",
"totalLocked": "19525508",
"vestingOwnerAddress": "addr1q9...",
"spent": false
}
]
}
Vesting
Vesting by redeemer
Unspent vestings for a redeemer PKH
POST
/
v1
/
vesting
/
get-by-redeemer
curl --request POST \
--url "https://token-vesting.snek.fun/v1/vesting/get-by-redeemer?redeemerVkhs=e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62" \
--header "Content-Type: application/json" \
--data '{}'
{
"vestings": [
{
"id": "abc123:0",
"lockUntil": "1778390035864",
"redeemerVkh": "e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62",
"tokenPolicyId": "fbd4d3c334063ac19566f6ba39b6ec707ea91fa81d0c09201575c10b",
"tokenAssetName": "44415645",
"totalLocked": "19525508",
"vestingOwnerAddress": "addr1q9...",
"spent": false
}
]
}
Returns all unspent vestings whose redeemer matches the given verification key hash (query parameter).
Auth: Public
POST requests must include
Content-Type: application/json. There is no JSON body schema in the endpoint — send an empty body or {} if your client requires a body.
Query parameters
string
required
A single 56-character hex redeemer payment key hash (name is plural for historical reasons; one value).
Response
object[]
List of vesting rows.
Show properties
Show properties
string
Vesting identifier (domain id / UTxO-derived).
string
Lock deadline (stringified; Unix-style value from domain).
string
Redeemer verification key hash (hex).
string
Minting policy id for the locked token.
string
Hex-encoded asset name for the locked token.
string
Total locked amount (string).
string
Raw address string associated with the vesting output.
boolean
Whether the vesting UTxO has been spent (should be
false for rows returned as unspent).curl --request POST \
--url "https://token-vesting.snek.fun/v1/vesting/get-by-redeemer?redeemerVkhs=e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62" \
--header "Content-Type: application/json" \
--data '{}'
{
"vestings": [
{
"id": "abc123:0",
"lockUntil": "1778390035864",
"redeemerVkh": "e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62",
"tokenPolicyId": "fbd4d3c334063ac19566f6ba39b6ec707ea91fa81d0c09201575c10b",
"tokenAssetName": "44415645",
"totalLocked": "19525508",
"vestingOwnerAddress": "addr1q9...",
"spent": false
}
]
}
Was this page helpful?